Webhooks
Register HTTP endpoints to receive real-time notifications when events or agents change.
Create a webhook
Section titled “Create a webhook”POST /v1/webhooksRequest body
Section titled “Request body”| Field | Type | Required | Description |
|---|---|---|---|
url | string | Yes | HTTPS URL to receive webhook deliveries |
events | string[] | Yes | At least one event type (see below) |
Event types
Section titled “Event types”event.createdevent.updatedevent.deletedagent.createdagent.updated
Example
Section titled “Example”curl -X POST https://api.chronary.ai/v1/webhooks \ -H "Authorization: Bearer chr_sk_test_your_key_here" \ -H "Content-Type: application/json" \ -d '{ "url": "https://your-server.com/webhooks/chronary", "events": ["event.created", "event.updated", "event.deleted"] }'Response 201 Created
Section titled “Response 201 Created”{ "id": "whk_a1b2c3", "url": "https://your-server.com/webhooks/chronary", "events": ["event.created", "event.updated", "event.deleted"], "secret": "whsec_abc123...", "active": true, "created_at": "2026-04-04T12:00:00Z"}The secret is only returned on creation — save it for HMAC signature verification.
List webhooks
Section titled “List webhooks”GET /v1/webhooksQuery parameters
Section titled “Query parameters”| Parameter | Type | Default | Description |
|---|---|---|---|
limit | integer | 20 | 1–100 |
offset | integer | 0 | Pagination offset |
Example
Section titled “Example”curl "https://api.chronary.ai/v1/webhooks" \ -H "Authorization: Bearer chr_sk_test_your_key_here"Get a webhook
Section titled “Get a webhook”GET /v1/webhooks/:idErrors
Section titled “Errors”| Status | Type | Cause |
|---|---|---|
404 | not_found | Webhook not found |
Update a webhook
Section titled “Update a webhook”PATCH /v1/webhooks/:idRequest body
Section titled “Request body”| Field | Type | Description |
|---|---|---|
url | string | New delivery URL |
events | string[] | New event type list |
active | boolean | Enable/disable deliveries |
Example
Section titled “Example”curl -X PATCH https://api.chronary.ai/v1/webhooks/whk_a1b2c3 \ -H "Authorization: Bearer chr_sk_test_your_key_here" \ -H "Content-Type: application/json" \ -d '{ "active": false }'Errors
Section titled “Errors”| Status | Type | Cause |
|---|---|---|
404 | not_found | Webhook not found |
Delete a webhook
Section titled “Delete a webhook”DELETE /v1/webhooks/:idReturns 204 No Content.
Errors
Section titled “Errors”| Status | Type | Cause |
|---|---|---|
404 | not_found | Webhook not found |